Index: /trunk/src/paper01/fig7/ws_validation_scatter_2000_2009_basin.pro
===================================================================
--- /trunk/src/paper01/fig7/ws_validation_scatter_2000_2009_basin.pro	(revision 93)
+++ /trunk/src/paper01/fig7/ws_validation_scatter_2000_2009_basin.pro	(revision 94)
@@ -161,5 +161,6 @@
 
 ;; first reading the whole ERAI uncorrected and corrected data
-;; date1=20000101 & date2=20090931
+;; date1=20000101 
+;; date2=20090931
 
 file=project_id_env+'erai_ws_19890101_20091231_oafluxgrid.nc'
@@ -179,10 +180,13 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+    csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
     read_variables_v2, csite,date1,date2,nsmooth, $
          at, sw,rh,sst,wu,wv,ws, lh
@@ -217,6 +221,12 @@
      ncep1=tropflux
 
-    ind=where(finite(ws)) & ws=ws(ind) & uncr_ws=uncr(ind)  & corr_ws=corr(ind)
-    oafl=oafl(ind) & ncep=ncep(ind) & tmi=tmi(ind) & ncep1=ncep1(ind)
+    ind=where(finite(ws)) 
+    ws=ws(ind) 
+    uncr_ws=uncr(ind)  
+    corr_ws=corr(ind)
+    oafl=oafl(ind) 
+    ncep=ncep(ind) 
+    tmi=tmi(ind) 
+    ncep1=ncep1(ind)
 
     mean_tao=total(ws)/n_elements(ws)
@@ -245,9 +255,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_era=reform(ff(2,*))   & cor_erai=total(cor_era)/n_elements(cor_era)
-bias_era=reform(ff(3,*))  & bias_erai=total(bias_era)/n_elements(bias_era)
-std_era=reform(ff(4,*))   & std_erai=total(std_era)/n_elements(std_era)
-rmsd_era=reform(ff(5,*))  & rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
-mean_tao=reform(ff(6,*))  & mean_erai=bias_era+mean_tao
+cor_era=reform(ff(2,*))   
+cor_erai=total(cor_era)/n_elements(cor_era)
+bias_era=reform(ff(3,*))  
+bias_erai=total(bias_era)/n_elements(bias_era)
+std_era=reform(ff(4,*))   
+std_erai=total(std_era)/n_elements(std_era)
+rmsd_era=reform(ff(5,*))  
+rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
+mean_tao=reform(ff(6,*))  
+mean_erai=bias_era+mean_tao
 
 print, ''
@@ -263,5 +278,6 @@
 oplot, [2,10], [2,10]
 ab=linfit(mean_tao, mean_erai,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -271,9 +287,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_tro=reform(ff(2,*))   & cor_trop=total(cor_tro)/n_elements(cor_tro)
-bias_tro=reform(ff(3,*))  & bias_trop=total(bias_tro)/n_elements(bias_tro)
-std_tro=reform(ff(4,*))   & std_trop=total(std_tro)/n_elements(std_tro)
-rmsd_tro=reform(ff(5,*))  & rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
-mean_tao=reform(ff(6,*))  & mean_trop=bias_tro+mean_tao
+cor_tro=reform(ff(2,*))   
+cor_trop=total(cor_tro)/n_elements(cor_tro)
+bias_tro=reform(ff(3,*))  
+bias_trop=total(bias_tro)/n_elements(bias_tro)
+std_tro=reform(ff(4,*))   
+std_trop=total(std_tro)/n_elements(std_tro)
+rmsd_tro=reform(ff(5,*))  
+rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
+mean_tao=reform(ff(6,*))  
+mean_trop=bias_tro+mean_tao
 
 print, ''
@@ -290,5 +311,6 @@
 
 ab=linfit(mean_tao, mean_trop,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -298,9 +320,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_oaf=reform(ff(2,*))   & cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
-bias_oaf=reform(ff(3,*))  & bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
-std_oaf=reform(ff(4,*))   & std_oafl=total(std_oaf)/n_elements(std_oaf)
-rmsd_oaf=reform(ff(5,*))  & rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
-mean_tao=reform(ff(6,*))  & mean_oafl=bias_oaf+mean_tao
+cor_oaf=reform(ff(2,*))   
+cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
+bias_oaf=reform(ff(3,*))  
+bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
+std_oaf=reform(ff(4,*))   
+std_oafl=total(std_oaf)/n_elements(std_oaf)
+rmsd_oaf=reform(ff(5,*))  
+rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
+mean_tao=reform(ff(6,*))  
+mean_oafl=bias_oaf+mean_tao
 
 print, ''
@@ -317,5 +344,6 @@
 
 ab=linfit(mean_tao, mean_oafl,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -327,9 +355,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*))  
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -346,5 +379,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -354,9 +388,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_tm=reform(ff(2,*))   & cor_tmi=total(cor_tm)/n_elements(cor_tm)
-bias_tm=reform(ff(3,*))  & bias_tmi=total(bias_tm)/n_elements(bias_tm)
-std_tm=reform(ff(4,*))   & std_tmi=total(std_tm)/n_elements(std_tm)
-rmsd_tm=reform(ff(5,*))  & rmsd_tmi=total(rmsd_tm)/n_elements(rmsd_tm)
-mean_tao=reform(ff(6,*))  & mean_tmi=bias_tm+mean_tao
+cor_tm=reform(ff(2,*))   
+cor_tmi=total(cor_tm)/n_elements(cor_tm)
+bias_tm=reform(ff(3,*))  
+bias_tmi=total(bias_tm)/n_elements(bias_tm)
+std_tm=reform(ff(4,*))   
+std_tmi=total(std_tm)/n_elements(std_tm)
+rmsd_tm=reform(ff(5,*))  
+rmsd_tmi=total(rmsd_tm)/n_elements(rmsd_tm)
+mean_tao=reform(ff(6,*))  
+mean_tmi=bias_tm+mean_tao
 
 print, ''
@@ -373,5 +412,6 @@
 
 ab=linfit(mean_tao, mean_tmi,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -382,9 +422,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*))  
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -401,5 +446,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
Index: /trunk/src/paper01/fig8/lhf_validation_scatter_2000_2009.pro
===================================================================
--- /trunk/src/paper01/fig8/lhf_validation_scatter_2000_2009.pro	(revision 93)
+++ /trunk/src/paper01/fig8/lhf_validation_scatter_2000_2009.pro	(revision 94)
@@ -167,14 +167,19 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+    csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
     read_variables_v2, csite,date1,date2,nsmooth, $
          at, sw,rh,sst,wu,wv,ws,lh
 
-    lhf=lh & ind=where(finite(lhf)) & valid=n_elements(ind)
+    lhf=lh 
+    ind=where(finite(lhf)) 
+    valid=n_elements(ind)
 
     if (valid ge 180. ) then begin
@@ -201,5 +206,11 @@
 
 
-    	ind=where(finite(lhf)) & lhf=lhf(ind) & uncr_lhf=uncr(ind)  & corr_lhf=corr(ind) & oafl=oafl(ind) & ncep=ncep(ind) & ncep1=ncep1(ind)
+    	ind=where(finite(lhf)) 
+        lhf=lhf(ind) 
+        uncr_lhf=uncr(ind)  
+        corr_lhf=corr(ind) 
+        oafl=oafl(ind) 
+        ncep=ncep(ind) 
+        ncep1=ncep1(ind)
         mean_tao=total(lhf,/nan)/n_elements(lhf)
 
@@ -235,8 +246,12 @@
 mean_erai=mean_tao+bias_erai
 
-ind=where(finite(cor_erai)) & cor=total(cor_erai,/nan)/n_elements(ind)
-ind=where(finite(bias_erai)) & bias=total(bias_erai,/nan)/n_elements(ind)
-ind=where(finite(rmsd_erai)) & rmsd=total(rmsd_erai,/nan)/n_elements(ind)
-ind=where(finite(std_erai)) & std=total(std_erai,/nan)/n_elements(ind)
+ind=where(finite(cor_erai)) 
+cor=total(cor_erai,/nan)/n_elements(ind)
+ind=where(finite(bias_erai)) 
+bias=total(bias_erai,/nan)/n_elements(ind)
+ind=where(finite(rmsd_erai)) 
+rmsd=total(rmsd_erai,/nan)/n_elements(ind)
+ind=where(finite(std_erai)) 
+std=total(std_erai,/nan)/n_elements(ind)
 
 print, ''
@@ -250,7 +265,10 @@
 xyouts, 50,10, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_erai
+x=mean_tao 
+y=mean_erai
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [20,200], [20,200]
@@ -266,8 +284,12 @@
 mean_trop=mean_tao+bias_trop
 
-ind=where(finite(cor_trop)) & cor=total(cor_trop,/nan)/n_elements(ind)
-ind=where(finite(bias_trop)) & bias=total(bias_trop,/nan)/n_elements(ind)
-ind=where(finite(rmsd_trop)) & rmsd=total(rmsd_trop,/nan)/n_elements(ind)
-ind=where(finite(std_trop)) & std=total(std_trop,/nan)/n_elements(ind)
+ind=where(finite(cor_trop)) 
+cor=total(cor_trop,/nan)/n_elements(ind)
+ind=where(finite(bias_trop)) 
+bias=total(bias_trop,/nan)/n_elements(ind)
+ind=where(finite(rmsd_trop)) 
+rmsd=total(rmsd_trop,/nan)/n_elements(ind)
+ind=where(finite(std_trop)) 
+std=total(std_trop,/nan)/n_elements(ind)
 
 print, ''
@@ -278,10 +300,13 @@
 splot, mean_tao, mean_trop, charsize=1.1, title='LHF - TAO Vs TropFlux', $
      xrange=[20,200], yrange=[20,200], small=[2,3,2],/noer, psym=2
-x=mean_tao & y=mean_trop
+x=mean_tao 
+y=mean_trop
 xyouts, 50,25, cstat, charsize=1.
 xyouts, 50,10, 'cor    bias    std    rmsd', charsize=1.
 
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [20,200], [20,200]
@@ -298,8 +323,12 @@
 mean_oaf=mean_tao+bias_oaf
 
-ind=where(finite(cor_oaf)) & cor=total(cor_oaf,/nan)/n_elements(ind)
-ind=where(finite(bias_oaf)) & bias=total(bias_oaf,/nan)/n_elements(ind)
-ind=where(finite(rmsd_oaf)) & rmsd=total(rmsd_oaf,/nan)/n_elements(ind)
-ind=where(finite(std_oaf)) & std=total(std_oaf,/nan)/n_elements(ind)
+ind=where(finite(cor_oaf)) 
+cor=total(cor_oaf,/nan)/n_elements(ind)
+ind=where(finite(bias_oaf)) 
+bias=total(bias_oaf,/nan)/n_elements(ind)
+ind=where(finite(rmsd_oaf)) 
+rmsd=total(rmsd_oaf,/nan)/n_elements(ind)
+ind=where(finite(std_oaf)) 
+std=total(std_oaf,/nan)/n_elements(ind)
 
 print, ''
@@ -313,7 +342,10 @@
 xyouts, 50,10, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_oaf
+x=mean_tao 
+y=mean_oaf
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [20,200], [20,200]
@@ -329,8 +361,12 @@
 mean_nce=mean_tao+bias_nce
 
-ind=where(finite(cor_nce)) & cor=total(cor_nce,/nan)/n_elements(ind)
-ind=where(finite(bias_nce)) & bias=total(bias_nce,/nan)/n_elements(ind)
-ind=where(finite(rmsd_nce)) & rmsd=total(rmsd_nce,/nan)/n_elements(ind)
-ind=where(finite(std_nce)) & std=total(std_nce,/nan)/n_elements(ind)
+ind=where(finite(cor_nce)) 
+cor=total(cor_nce,/nan)/n_elements(ind)
+ind=where(finite(bias_nce)) 
+bias=total(bias_nce,/nan)/n_elements(ind)
+ind=where(finite(rmsd_nce)) 
+rmsd=total(rmsd_nce,/nan)/n_elements(ind)
+ind=where(finite(std_nce)) 
+std=total(std_nce,/nan)/n_elements(ind)
 
 print, ''
@@ -344,7 +380,10 @@
 xyouts, 50,10, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_nce
+x=mean_tao 
+y=mean_nce
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [20,200], [20,200]
@@ -360,8 +399,12 @@
 mean_nce=mean_tao+bias_nce
 
-ind=where(finite(cor_nce)) & cor=total(cor_nce,/nan)/n_elements(ind)
-ind=where(finite(bias_nce)) & bias=total(bias_nce,/nan)/n_elements(ind)
-ind=where(finite(rmsd_nce)) & rmsd=total(rmsd_nce,/nan)/n_elements(ind)
-ind=where(finite(std_nce)) & std=total(std_nce,/nan)/n_elements(ind)
+ind=where(finite(cor_nce)) 
+cor=total(cor_nce,/nan)/n_elements(ind)
+ind=where(finite(bias_nce)) 
+bias=total(bias_nce,/nan)/n_elements(ind)
+ind=where(finite(rmsd_nce)) 
+rmsd=total(rmsd_nce,/nan)/n_elements(ind)
+ind=where(finite(std_nce)) 
+std=total(std_nce,/nan)/n_elements(ind)
 
 print, ''
@@ -375,7 +418,10 @@
 xyouts, 50,10, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_nce
+x=mean_tao 
+y=mean_nce
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [20,200], [20,200]
Index: /trunk/src/paper01/fig8/shf_validation_scatter_2000_2009.pro
===================================================================
--- /trunk/src/paper01/fig8/shf_validation_scatter_2000_2009.pro	(revision 93)
+++ /trunk/src/paper01/fig8/shf_validation_scatter_2000_2009.pro	(revision 94)
@@ -169,14 +169,19 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+    csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
 
     read_variables_sh, csite,date1,date2,nsmooth, $
          at, sw,rh,sst,wu,wv,ws,sh
-    shf=sh & ind=where(finite(shf)) & valid=n_elements(ind)
+    shf=sh 
+    ind=where(finite(shf)) 
+    valid=n_elements(ind)
 
     if (valid ge 180. ) then begin
@@ -202,6 +207,12 @@
         ncep1=tropflux
 
-    	ind=where(finite(shf)) & shf=shf(ind) & uncr_shf=uncr(ind)  & corr_shf=corr(ind) & oafl=oafl(ind) & ncep=ncep(ind)
-        ncep1=ncep1(ind) & mean_tao=total(shf,/nan)/n_elements(shf)
+    	ind=where(finite(shf)) 
+        shf=shf(ind) 
+        uncr_shf=uncr(ind)
+        corr_shf=corr(ind) 
+        oafl=oafl(ind)
+        ncep=ncep(ind)
+        ncep1=ncep1(ind) 
+        mean_tao=total(shf,/nan)/n_elements(shf)
 
     	statistics_3var_v1, shf, uncr_shf, corr_shf, $
@@ -235,8 +246,12 @@
 mean_erai=mean_tao+bias_erai
 
-ind=where(finite(cor_erai)) & cor=total(cor_erai,/nan)/n_elements(ind)
-ind=where(finite(bias_erai)) & bias=total(bias_erai,/nan)/n_elements(ind)
-ind=where(finite(rmsd_erai)) & rmsd=total(rmsd_erai,/nan)/n_elements(ind)
-ind=where(finite(std_erai)) & std=total(std_erai,/nan)/n_elements(ind)
+ind=where(finite(cor_erai)) 
+cor=total(cor_erai,/nan)/n_elements(ind)
+ind=where(finite(bias_erai)) 
+bias=total(bias_erai,/nan)/n_elements(ind)
+ind=where(finite(rmsd_erai)) 
+rmsd=total(rmsd_erai,/nan)/n_elements(ind)
+ind=where(finite(std_erai)) 
+std=total(std_erai,/nan)/n_elements(ind)
 
 print, ''
@@ -250,7 +265,10 @@
 xyouts, 0,-4., 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_erai
+x=mean_tao 
+y=mean_erai
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [-5,25], [-5,25]
@@ -267,8 +285,12 @@
 mean_trop=mean_tao+bias_trop
 
-ind=where(finite(cor_trop)) & cor=total(cor_trop,/nan)/n_elements(ind)
-ind=where(finite(bias_trop)) & bias=total(bias_trop,/nan)/n_elements(ind)
-ind=where(finite(rmsd_trop)) & rmsd=total(rmsd_trop,/nan)/n_elements(ind)
-ind=where(finite(std_trop)) & std=total(std_trop,/nan)/n_elements(ind)
+ind=where(finite(cor_trop)) 
+cor=total(cor_trop,/nan)/n_elements(ind)
+ind=where(finite(bias_trop)) 
+bias=total(bias_trop,/nan)/n_elements(ind)
+ind=where(finite(rmsd_trop)) 
+rmsd=total(rmsd_trop,/nan)/n_elements(ind)
+ind=where(finite(std_trop)) 
+std=total(std_trop,/nan)/n_elements(ind)
 
 print, ''
@@ -282,7 +304,10 @@
 xyouts, 0,-4., 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_trop
+x=mean_tao 
+y=mean_trop
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [-5,25], [-5,25]
@@ -299,8 +324,12 @@
 mean_oaf=mean_tao+bias_oaf
 
-ind=where(finite(cor_oaf)) & cor=total(cor_oaf,/nan)/n_elements(ind)
-ind=where(finite(bias_oaf)) & bias=total(bias_oaf,/nan)/n_elements(ind)
-ind=where(finite(rmsd_oaf)) & rmsd=total(rmsd_oaf,/nan)/n_elements(ind)
-ind=where(finite(std_oaf)) & std=total(std_oaf,/nan)/n_elements(ind)
+ind=where(finite(cor_oaf)) 
+cor=total(cor_oaf,/nan)/n_elements(ind)
+ind=where(finite(bias_oaf)) 
+bias=total(bias_oaf,/nan)/n_elements(ind)
+ind=where(finite(rmsd_oaf)) 
+rmsd=total(rmsd_oaf,/nan)/n_elements(ind)
+ind=where(finite(std_oaf)) 
+std=total(std_oaf,/nan)/n_elements(ind)
 
 print, ''
@@ -314,7 +343,10 @@
 xyouts, 0,-4., 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_oaf
+x=mean_tao 
+y=mean_oaf
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [-5,25], [-5,25]
@@ -330,8 +362,12 @@
 mean_nce=mean_tao+bias_nce
 
-ind=where(finite(cor_nce)) & cor=total(cor_nce,/nan)/n_elements(ind)
-ind=where(finite(bias_nce)) & bias=total(bias_nce,/nan)/n_elements(ind)
-ind=where(finite(rmsd_nce)) & rmsd=total(rmsd_nce,/nan)/n_elements(ind)
-ind=where(finite(std_nce)) & std=total(std_nce,/nan)/n_elements(ind)
+ind=where(finite(cor_nce)) 
+cor=total(cor_nce,/nan)/n_elements(ind)
+ind=where(finite(bias_nce)) 
+bias=total(bias_nce,/nan)/n_elements(ind)
+ind=where(finite(rmsd_nce)) 
+rmsd=total(rmsd_nce,/nan)/n_elements(ind)
+ind=where(finite(std_nce)) 
+std=total(std_nce,/nan)/n_elements(ind)
 
 print, ''
@@ -345,7 +381,10 @@
 xyouts, 0,-4., 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_nce
+x=mean_tao 
+y=mean_nce
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [-5,25], [-5,25]
@@ -361,8 +400,12 @@
 mean_nce=mean_tao+bias_nce
 
-ind=where(finite(cor_nce)) & cor=total(cor_nce,/nan)/n_elements(ind)
-ind=where(finite(bias_nce)) & bias=total(bias_nce,/nan)/n_elements(ind)
-ind=where(finite(rmsd_nce)) & rmsd=total(rmsd_nce,/nan)/n_elements(ind)
-ind=where(finite(std_nce)) & std=total(std_nce,/nan)/n_elements(ind)
+ind=where(finite(cor_nce))
+cor=total(cor_nce,/nan)/n_elements(ind)
+ind=where(finite(bias_nce)) 
+bias=total(bias_nce,/nan)/n_elements(ind)
+ind=where(finite(rmsd_nce)) 
+rmsd=total(rmsd_nce,/nan)/n_elements(ind)
+ind=where(finite(std_nce)) 
+std=total(std_nce,/nan)/n_elements(ind)
 
 print, ''
@@ -376,7 +419,10 @@
 xyouts, 0,-4., 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_nce
+x=mean_tao 
+y=mean_nce
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [-5,25], [-5,25]
Index: /trunk/src/paper01/fig9/lwr_validation_scatter_2000_2007.pro
===================================================================
--- /trunk/src/paper01/fig9/lwr_validation_scatter_2000_2007.pro	(revision 93)
+++ /trunk/src/paper01/fig9/lwr_validation_scatter_2000_2007.pro	(revision 94)
@@ -118,5 +118,6 @@
 ocean='global'
 
-da1=20000101 & da2=20071231
+da1=20000101 
+da2=20071231
 nsmooth=1.
 ;;   This program will create the following text files with statistics of respective variables
@@ -152,5 +153,6 @@
 file=project_id_env+'TropFlux_lwr_19890101_20091231.nc"
 initncda, file
-cor=read_ncdf('lwr',date1,date2,file=file,/nostr) & cor=-1*cor
+cor=read_ncdf('lwr',date1,date2,file=file,/nostr) 
+cor=-1*cor
 help, cor
 
@@ -162,5 +164,6 @@
 fi=project_id_env+'NCEP2_flux_19890101_20090729.nc'
 initncdf, fi
-nce=read_ncdf("lwr", date1, date2, file=fi,/nostr) ;;  & nce=-1*nce
+nce=read_ncdf("lwr", date1, date2, file=fi,/nostr) 
+;;  nce=-1*nce
 help, nce
 
@@ -180,14 +183,19 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+    csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
     read_lw_global_v2, csite, date1, date2, box, $
                            lw
 
-    lwr=lw & ind=where(finite(lwr)) & valid=n_elements(ind)
+    lwr=lw 
+    ind=where(finite(lwr)) 
+    valid=n_elements(ind)
 
     if (valid ge 180. ) then begin
@@ -218,5 +226,11 @@
 
 
-    	ind=where(finite(lwr)) & lwr=lwr(ind) & uncr_lwr=uncr(ind)  & corr_lwr=corr(ind) & oafl=oafl(ind) & ncep=ncep(ind) & clrk=clrk(ind)
+    	ind=where(finite(lwr)) 
+        lwr=lwr(ind) 
+        uncr_lwr=uncr(ind)  
+        corr_lwr=corr(ind) 
+        oafl=oafl(ind) 
+        ncep=ncep(ind) 
+        clrk=clrk(ind)
         ncep1=ncep1(ind)
         mean_tao=total(lwr)/n_elements(ind)
@@ -252,8 +266,12 @@
 mean_erai=mean_tao+bias_erai
 
-ind=where(finite(cor_erai)) & cor=total(cor_erai,/nan)/n_elements(ind)
-ind=where(finite(bias_erai)) & bias=total(bias_erai,/nan)/n_elements(ind)
-ind=where(finite(rmsd_erai)) & rmsd=total(rmsd_erai,/nan)/n_elements(ind)
-ind=where(finite(std_erai)) & std=total(std_erai,/nan)/n_elements(ind)
+ind=where(finite(cor_erai)) 
+cor=total(cor_erai,/nan)/n_elements(ind)
+ind=where(finite(bias_erai)) 
+bias=total(bias_erai,/nan)/n_elements(ind)
+ind=where(finite(rmsd_erai)) 
+rmsd=total(rmsd_erai,/nan)/n_elements(ind)
+ind=where(finite(std_erai)) 
+std=total(std_erai,/nan)/n_elements(ind)
 
 print, ''
@@ -267,7 +285,10 @@
 xyouts, 40,3, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_erai
+x=mean_tao 
+y=mean_erai
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [0,100], [0,100]
@@ -285,8 +306,12 @@
 mean_trop=mean_tao+bias_trop
 
-ind=where(finite(cor_trop)) & cor=total(cor_trop,/nan)/n_elements(ind)
-ind=where(finite(bias_trop)) & bias=total(bias_trop,/nan)/n_elements(ind)
-ind=where(finite(rmsd_trop)) & rmsd=total(rmsd_trop,/nan)/n_elements(ind)
-ind=where(finite(std_trop)) & std=total(std_trop,/nan)/n_elements(ind)
+ind=where(finite(cor_trop)) 
+cor=total(cor_trop,/nan)/n_elements(ind)
+ind=where(finite(bias_trop)) 
+bias=total(bias_trop,/nan)/n_elements(ind)
+ind=where(finite(rmsd_trop)) 
+rmsd=total(rmsd_trop,/nan)/n_elements(ind)
+ind=where(finite(std_trop)) 
+std=total(std_trop,/nan)/n_elements(ind)
 
 print, ''
@@ -300,7 +325,10 @@
 xyouts, 40,3, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_trop
+x=mean_tao 
+y=mean_trop
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [0,100], [0,100]
@@ -318,8 +346,12 @@
 mean_oaf=mean_tao+bias_oaf
 
-ind=where(finite(cor_oaf)) & cor=total(cor_oaf,/nan)/n_elements(ind)
-ind=where(finite(bias_oaf)) & bias=total(bias_oaf,/nan)/n_elements(ind)
-ind=where(finite(rmsd_oaf)) & rmsd=total(rmsd_oaf,/nan)/n_elements(ind)
-ind=where(finite(std_oaf)) & std=total(std_oaf,/nan)/n_elements(ind)
+ind=where(finite(cor_oaf)) 
+cor=total(cor_oaf,/nan)/n_elements(ind)
+ind=where(finite(bias_oaf)) 
+bias=total(bias_oaf,/nan)/n_elements(ind)
+ind=where(finite(rmsd_oaf)) 
+rmsd=total(rmsd_oaf,/nan)/n_elements(ind)
+ind=where(finite(std_oaf)) 
+std=total(std_oaf,/nan)/n_elements(ind)
 
 print, ''
@@ -333,7 +365,10 @@
 xyouts, 40,3, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_oaf
+x=mean_tao 
+y=mean_oaf
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [0,100], [0,100]
@@ -351,8 +386,12 @@
 mean_nce=mean_tao+bias_nce
 
-ind=where(finite(cor_nce)) & cor=total(cor_nce,/nan)/n_elements(ind)
-ind=where(finite(bias_nce)) & bias=total(bias_nce,/nan)/n_elements(ind)
-ind=where(finite(rmsd_nce)) & rmsd=total(rmsd_nce,/nan)/n_elements(ind)
-ind=where(finite(std_nce)) & std=total(std_nce,/nan)/n_elements(ind)
+ind=where(finite(cor_nce)) 
+cor=total(cor_nce,/nan)/n_elements(ind)
+ind=where(finite(bias_nce)) 
+bias=total(bias_nce,/nan)/n_elements(ind)
+ind=where(finite(rmsd_nce)) 
+rmsd=total(rmsd_nce,/nan)/n_elements(ind)
+ind=where(finite(std_nce)) 
+std=total(std_nce,/nan)/n_elements(ind)
 
 print, ''
@@ -366,7 +405,10 @@
 xyouts, 40,3, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_nce
+x=mean_tao 
+y=mean_nce
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [0,100], [0,100]
@@ -384,8 +426,12 @@
 mean_nce=mean_tao+bias_nce
 
-ind=where(finite(cor_nce)) & cor=total(cor_nce,/nan)/n_elements(ind)
-ind=where(finite(bias_nce)) & bias=total(bias_nce,/nan)/n_elements(ind)
-ind=where(finite(rmsd_nce)) & rmsd=total(rmsd_nce,/nan)/n_elements(ind)
-ind=where(finite(std_nce)) & std=total(std_nce,/nan)/n_elements(ind)
+ind=where(finite(cor_nce)) 
+cor=total(cor_nce,/nan)/n_elements(ind)
+ind=where(finite(bias_nce)) 
+bias=total(bias_nce,/nan)/n_elements(ind)
+ind=where(finite(rmsd_nce)) 
+rmsd=total(rmsd_nce,/nan)/n_elements(ind)
+ind=where(finite(std_nce)) 
+std=total(std_nce,/nan)/n_elements(ind)
 
 print, ''
@@ -399,7 +445,10 @@
 xyouts, 40,3, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_nce
+x=mean_tao 
+y=mean_nce
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [0,100], [0,100]
@@ -417,8 +466,12 @@
 mean_clark=mean_tao+bias_clark
 
-ind=where(finite(cor_clark)) & cor=total(cor_clark,/nan)/n_elements(ind)
-ind=where(finite(bias_clark)) & bias=total(bias_clark,/nan)/n_elements(ind)
-ind=where(finite(rmsd_clark)) & rmsd=total(rmsd_clark,/nan)/n_elements(ind)
-ind=where(finite(std_clark)) & std=total(std_clark,/nan)/n_elements(ind)
+ind=where(finite(cor_clark)) 
+cor=total(cor_clark,/nan)/n_elements(ind)
+ind=where(finite(bias_clark)) 
+bias=total(bias_clark,/nan)/n_elements(ind)
+ind=where(finite(rmsd_clark)) 
+rmsd=total(rmsd_clark,/nan)/n_elements(ind)
+ind=where(finite(std_clark))
+std=total(std_clark,/nan)/n_elements(ind)
 
 print, ''
@@ -432,7 +485,10 @@
 xyouts, 40,3, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_clark
+x=mean_tao 
+y=mean_clark
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [0,100], [0,100]
